﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace MashupImageSearch.Model
{
    public class MockPhotoService : PhotoServiceBase
    {

        #region IPhotoService Members

        public override void SearchImageAsync(string keyword, int page, int perPage)
        {
            List<Photo> photos = new List<Photo>()
            {
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/038/2009/01/17/1992662.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/015/2009/01/16/2036516.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/144/2009/01/16/86372.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/079/2009/01/16/2024454.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/022/2009/01/16/2015499.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/073/2009/01/16/1983433.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/011/2009/01/16/1988531.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/038/2009/01/17/1992662.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/015/2009/01/16/2036516.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/144/2009/01/16/86372.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/079/2009/01/16/2024454.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/022/2009/01/16/2015499.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/073/2009/01/16/1983433.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/011/2009/01/16/1988531.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/038/2009/01/17/1992662.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/015/2009/01/16/2036516.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/144/2009/01/16/86372.jpg"},
                new Photo { ThumbnailUrl = "http://imgnews.naver.com/image/thumb120/079/2009/01/16/2024454.jpg"}
            };

            OnSearchImageCompleted("테스트", photos);
        }

        #endregion
    }
}
